Subject: bug#1013: 23.0.60; permanent-local not honored for word-wrap

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Mon, 22 Sep 2008 20:11:29 +0200

Stefan Monnier wrote:
> reopen 1013
> thanks
> 
>> I just tested with truncate-lines. Same bug as with word-wrap.
> 
>> Both `word-wrap' and `truncate-lines' are defined using
>> DEFVAR_PER_BUFFER. My guess is that there is a bug in DEFVAR_PER_BUFFER
>> or something related to that.
> 
> Duh, sorry I misread kill-local-variable for kill-all-local-variables
> (i.e. I didn't read what you wrote, but what I thought you'd written).
> 
> Yes, it's a problem with the variables defined by DEFVAR_PER_BUFFER.
> Their semantics is subtly different from the ones declared with
> make-variable-buffer-local.

Thanks. Are there any principal reason that 'permanent-local is not honored?

BTW: Should not variables like `word-wrap' be permanent-local by
default? It looks to me like they are more "per buffer/file" than "per
major mode".